Upload File
curl --request POST \
--url https://api.cozmox.ai/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.cozmox.ai/file"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.cozmox.ai/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"object": "file",
"name": "<string>",
"originalName": "<string>",
"bytes": 123,
"purpose": "<string>",
"mimetype": "<string>",
"key": "<string>",
"path": "<string>",
"bucket": "<string>",
"url": "<string>",
"parsedTextUrl": "<string>",
"parsedTextBytes": 123,
"metadata": {}
}Files
Upload File
POST
/
file
Upload File
Authorizations
Retrieve your API Key from Dashboard [blocked].
Body
multipart/form-data
This is the File you want to upload for use with the Knowledge Base.
Response
File uploaded successfully
This is the unique identifier for the file.
This is the unique identifier for the org that this file belongs to.
This is the ISO 8601 date-time string of when the file was created.
This is the ISO 8601 date-time string of when the file was last updated.
Available options:
file Available options:
processing, done, failed This is the name of the file. This is just for your own reference.
Maximum string length:
40⌘I